{{/*
Expand the name of the chart.
*/}}
{{- define "..name" -}}
{{- .Chart.Name | trunc 63 | trimSuffix "-" }}
{{- end }}

{{/*
Common labels
*/}}
{{- define "..labels" -}}
helm.sh/chart: {{ .Chart.Name }}
{{ include "..selectorLabels" . }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end }}

{{/*
Selector labels
*/}}
{{- define "..selectorLabels" -}}
app.kubernetes.io/name: {{ include "..name" . }}
app.kubernetes.io/instance: {{ .Release.Name }}
{{- end }}

{{- define "redis-web-password" -}}
{{- if .Release.IsInstall }}
{{- randAlphaNum 24 -}}
{{- else }}
{{- (lookup "v1" "Secret" .Release.Namespace (print .Release.Name "-redis" | trunc -63)).data.REDIS_WEB_PASSWORD | b64dec -}}
{{- end -}}
{{- end -}}

{{- define "redis-worker-password" -}}
{{- if .Release.IsInstall }}
{{- randAlphaNum 24 -}}
{{- else }}
{{- (lookup "v1" "Secret" .Release.Namespace (print .Release.Name "-redis" | trunc -63)).data.REDIS_WORKER_PASSWORD | b64dec -}}
{{- end -}}
{{- end -}}